[Spot] _impl issue with install

Lonnie Parker parker.lonnie at gmail.com
Sun Jan 6 06:07:46 CET 2019


Hello,

I'm new to spot and a bit of a novice with coding in general but I've been
running into an issue related to one of the modules that comes with spot
when attempting to run python code using the spot python bindings:

  File "/usr/lib/python3.6/importlib/__init__.py", line 126, in
import_module
    return _bootstrap._gcd_import(name[level:], package, level)

ModuleNotFoundError: No module named '_impl'

I understand if it is too difficult to diagnose with the limited output,
but I didn't want to bombard anyone with lengthy output. I am running
Ubuntu 18.04 (Bionic Beaver) and have successfully installed spot using
./configure, make, make install. Prior to installing spot, I also installed
the latest version of swig. I've also verified that the relevant .so files
are located within my .local/lib/python3.6/site-packages/spot directory.

If this issue with using import_module to locate the _impl package looks
familiar, any information would be much appreciated.

Thank you!

Best,
Lonnie

-- 
"But as for you, promote the kind of living that promotes right teaching."
--Titus 2:1
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.lrde.epita.fr/pipermail/spot/attachments/20190106/90c7d65a/attachment.html>


More information about the Spot mailing list